Summary: SnortConf - a tool to ease configuring the OpenSource IDS tool Snort.
Name: snortconf
Version: 0.4.1
Release: rh8_3
Copyright: GPL
Group: Applications/Internet
Source: http://www.xjack.org/snortconf/snortconf-%{version}.tar.gz
Url: http://www.xjack.org/snortconf
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: A.L.Lambert <alambert@manisec.com>
Requires: ncurses

%description

	SnortConf is a simple, intuitive menu based tool that provides a more
user friendly interface to creating a snort.conf file.  It is still in it's 
early days of development, but it is already fully functional in most respects.

%prep
%setup 
%build

./configure --prefix=/usr/	

make clean 
make

%install
if [ -d $RPM_BUILD_ROOT ]; then
	rm -rf $RPM_BUILD_ROOT
fi

mkdir -p $RPM_BUILD_ROOT/etc/snortconf
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8

make install DESTDIR=$RPM_BUILD_ROOT

%clean
if [ -d $RPM_BUILD_ROOT ]; then
	rm -rf $RPM_BUILD_ROOT
fi
						
%post

%preun

%postun

%files
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS INSTALL README README.BETA TODO USAGE
%attr(755,root,root) /usr/bin/snortconf
# handle compressed man pages.
# %attr(755,root,root) %{_mandir}/man8/snort.8*
%attr(755,root,root) %dir /etc/snortconf
%attr(644,root,root) /etc/snortconf/sc.conf

%changelog
* Sun Apr 13 2003 Ralf Spenneberg <ralf@spenneberg.de>
- Changed numbering scheme

* Sun Jul 28 2002 A.L.Lambert <alambert@manisec.com>
- OOPS!  Big bug report from Daniel Freas, re: my neglecting to include sc.conf
- in the 4.1 distribution, as well as an apparent bug in my code causing
- the compiler in RedHat 7.3 to bomb on warning because of "-Werror".  
-	Fixes:
-	1.  Added sc.conf to distro, incremented release to -2
-	2.  Compiler flags = "-O3" ! "-O3 -W -Wall -Werror -ansi -pedantic"
-
- Wish I had a better fix for number 2.  Will be investigating.
-
* Mon Jul  8 2002 A.L.Lambert <alambert@manisec.com>
- Realized that my %changes were getting lost regularly since I was editing a 
- generated file.  DOH!
-
- Summary of changes I remember off the top of my head.
- 	Updated for snort 1.8.7 config file directives.
- 	Fixed a multitude of minor code related sins.
-	Some nicer display routines added.
-	It's better.

* Sun Feb 24 2002 A.L.Lambert <alambert@manisec.com>
- rsync'd directory tree to snortconf-0.4.0 for continuing development
-

* Sat Feb 23 2002 A.L.Lambert <alambert@manisec.com>
- A few last minute tweaks, and I think we're ready for public BETA to get
- some feedback from folks re: the program.  Cross fingers, upload to 
- webserver, tell freshmeat.net, and hope for the best. (EEE!!).  :)

* Fri Feb 22 2002 A.L.Lambert <alambert@manisec.com>
- Cleaned up a few of the more embarrassing things in the code in prep for
- 	public release.
-
- Got a goodly hunk of the "validate user input" code written and tested.

* Thu Feb 21 2002 A.L.Lambert <alambert@manisec.com>
- Added code to give user a "simple option" of just entering the data for
-	$HOME_NET variable, and letting snortconf do the defaults.
- Cleaned up some of the code a small bit (still much to do)
- Started working on the various README/TODO/Etc. files in prep for beta
-	release.
-
- Accepted patches from Mark Bainter <mark-spamx@cymry.org>, which fixed several 
-	annoyances I'd been unable to figure out with autoconf/configure
- At Mark's request, added "K/J" (ie: vi keybindings) to menu navigation
- 	hotkeys.
- Borrowed on a few tricks Mark used in the patches to clean up the 
- 	autoconf/configure stuff to work more like what it should.

* Wed Feb 20 2002 A.L.Lambert <alambert@manisec.com>
- Wrote this spec file to build/install snortconf.

* Tue Feb 19 2002 A.L.Lambert <alambert@manisec.com>
- Well, yee ole code be ugly in spots, but it gets the job done more/less
- Start preparing for release.

* Mon Feb 18 2002 A.L.Lambert <alambert@manisec.com>
- Came up with the idea for this program, and started coding furiously.
